diff --git a/target/imagebuilder/Makefile b/target/imagebuilder/Makefile
index a9480ef..4d503e0 100644
--- a/target/imagebuilder/Makefile
+++ b/target/imagebuilder/Makefile
@@ -24,8 +24,11 @@ all: compile
 
 $(BIN_DIR)/$(IB_NAME).tar.bz2: clean
 	rm -rf $(PKG_BUILD_DIR)
-	mkdir -p $(IB_KDIR) $(IB_LDIR) $(PKG_BUILD_DIR)/staging_dir/host \
-		$(PKG_BUILD_DIR)/target $(PKG_BUILD_DIR)/scripts
+	mkdir -p $(IB_KDIR)/linux-$(LINUX_VERSION)/scripts/dtc \
+		$(IB_KDIR)/linux-$(LINUX_VERSION)/arch/powerpc/boot/dts \
+		$(PKG_BUILD_DIR)/staging_dir/toolchain-$(ARCH)$(ARCH_SUFFIX)_gcc-$(GCCV)$(DIR_SUFFIX)/bin \
+		$(IB_LDIR)/scripts $(PKG_BUILD_DIR)/staging_dir/host \
+		$(PKG_BUILD_DIR)/target $(PKG_BUILD_DIR)
 	-cp $(TOPDIR)/.config $(PKG_BUILD_DIR)/.config
 	$(CP) \
 		$(INCLUDE_DIR) $(SCRIPT_DIR) \
@@ -38,6 +41,8 @@ $(BIN_DIR)/$(IB_NAME).tar.bz2: clean
 	$(VERSION_SED) $(PKG_BUILD_DIR)/repositories.conf
 	$(CP) $(PACKAGE_DIR) $(PKG_BUILD_DIR)/packages
 	$(CP) $(TOPDIR)/target/linux $(PKG_BUILD_DIR)/target/
+	-cp $(KERNEL_BUILD_DIR)/linux-$(LINUX_VERSION)/scripts/dtc/dtc $(IB_KDIR)/linux-$(LINUX_VERSION)/scripts/dtc/dtc
+	$(CP) $(KERNEL_BUILD_DIR)/linux-$(LINUX_VERSION)/arch/powerpc/boot/dts/* $(IB_KDIR)/linux-$(LINUX_VERSION)/arch/powerpc/boot/dts/
 	rm -rf \
 		$(PKG_BUILD_DIR)/target/linux/*/files{,-*} \
 		$(PKG_BUILD_DIR)/target/linux/*/patches{,-*}
@@ -48,6 +53,8 @@ $(BIN_DIR)/$(IB_NAME).tar.bz2: clean
 	  | $(XARGS) rm -rf
 	find $(STAGING_DIR_HOST)/bin -maxdepth 1 -type f -perm -u=x \
 	  | $(XARGS) $(SCRIPT_DIR)/bundle-libraries.sh $(PKG_BUILD_DIR)/staging_dir/host/bin
+	find $(TOOLCHAIN_DIR)/bin -maxdepth 1 -type f -perm -u=x \
+	  | $(XARGS) $(SCRIPT_DIR)/bundle-libraries.sh $(PKG_BUILD_DIR)/staging_dir/toolchain-$(ARCH)$(ARCH_SUFFIX)_gcc-$(GCCV)$(DIR_SUFFIX)/bin
 	$(TAR) c -C $(BUILD_DIR) $(IB_NAME) | bzip2 -c > $@
 
 download:
